UbixOS V2 2.0

Data Fields
Elf32_Phdr Struct Reference

`#include <elf32.h>`

Collaboration diagram for Elf32_Phdr:

## Data Fields
Elf32_Word | p_align
Elf32_Word | p_filesz
Elf32_Word | p_flags
Elf32_Word | p_memsz
Elf32_Off | p_offset
Elf32_Addr | p_paddr
Elf32_Word | p_type
Elf32_Addr | p_vaddr

## Detailed Description

Definition at line 106 of file elf32.h.

## Field Documentation

## ◆ p_align

Elf32_Word Elf32_Phdr::p_align

Definition at line 114 of file elf32.h.

## ◆ p_filesz

Elf32_Word Elf32_Phdr::p_filesz

Definition at line 111 of file elf32.h.

## ◆ p_flags

Elf32_Word Elf32_Phdr::p_flags

Definition at line 113 of file elf32.h.

## ◆ p_memsz

Elf32_Word Elf32_Phdr::p_memsz

Definition at line 112 of file elf32.h.

Referenced by elf_load_file().

## ◆ p_offset

Elf32_Off Elf32_Phdr::p_offset

Definition at line 108 of file elf32.h.

## ◆ p_paddr

Elf32_Addr Elf32_Phdr::p_paddr

Definition at line 110 of file elf32.h.

## ◆ p_type

Elf32_Word Elf32_Phdr::p_type

Definition at line 107 of file elf32.h.

## ◆ p_vaddr

Elf32_Addr Elf32_Phdr::p_vaddr

Definition at line 109 of file elf32.h.

Referenced by elf_load_file().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/elf32.h